# Class: LicenseValidatorClient

## LicenseValidatorClient

## Constructor

#### new LicenseValidatorClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/licenseValidator'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/licenseValidator.js, line 5

### Methods

#### validateLicense(opts, callback)

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The request options sent to the Jira API.

###### Properties

Name | Type | Description
--- | --- | ---
`license` |  | The license to validate.

`callback` |  | Called when the license has been validated, or fails to validate.

Source:
  - api/licenseValidator.js, line 14